Bug Hunting Session
Bug 60406 - LibreLogo: Name conflict in procedure handling
Summary: LibreLogo: Name conflict in procedure handling
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.1.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:4.1.0 target:4.0.1
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-07 09:52 UTC by László Németh
Modified: 2013-11-18 12:00 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Bad recognition of procedure name 'foo' in variable name 'foox' (10.50 KB, application/vnd.oasis.opendocument.text)
2013-02-07 09:52 UTC, László Németh
Details

Note You need to log in before you can comment on or make changes to this bug.
Description László Németh 2013-02-07 09:52:36 UTC
Created attachment 74328 [details]
Bad recognition of procedure name 'foo' in variable name 'foox'

Attached test file doesn't run in the recent master. 1-line patch is committed.
Comment 1 Not Assigned 2013-02-07 09:58:17 UTC
Laszlo Nemeth committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=af29c96b049fa313bdc80de618e9acb127882400

fdo#60406 librelogo: fix name conflict in procedure handling



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 2 Joel Madero 2013-02-07 16:50:50 UTC
László - marking as NEW, can you mark as FIXED when you think that's appropriate. Thanks!
Comment 3 Not Assigned 2013-02-08 06:26:57 UTC
Laszlo Nemeth committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0dea073b03de7a40414150e8b0ca0814ca106ede&h=libreoffice-4-0

fdo#60406 librelogo: fix name conflict in procedure handling


It will be available in LibreOffice 4.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 László Németh 2013-02-08 09:15:11 UTC
Fixed in LibreOffice 4.0.1.

@Joel: Thanks for your help! László